---
title: stitchTiles
slug: Web/SVG/Attribute/stitchTiles
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <code><strong>stitchTiles</strong></code> attribute defines how the Perlin Noise tiles behave at the border.</p>

<p>Only one element is using this attribute: {{SVGElement("feTurbulence")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="noise1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feTurbulence baseFrequency="0.025" stitchTiles="noStitch" /&gt;
  &lt;/filter&gt;
  &lt;filter id="noise2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feTurbulence baseFrequency="0.025" stitchTiles="stitch" /&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise1);" /&gt;
  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise1); transform: translate(100px, 0);" /&gt;
  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise1); transform: translate(0, 100px);" /&gt;
  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise1); transform: translate(100px, 100px);" /&gt;

  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise2); transform: translate(220px, 0);" /&gt;
  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise2); transform: translate(320px, 0);" /&gt;
  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise2); transform: translate(220px, 100px);" /&gt;
  &lt;rect x="0" y="0" width="100" height="100" style="filter: url(#noise2); transform: translate(320px, 100px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "220")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>noStitch</code> | <code>stitch</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>noStitch</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>noStitch</code></dt>
 <dd>This value indicates that no attempt is made to achieve smooth transitions at the border of tiles which contain a turbulence function. Sometimes the result will show clear discontinuities at the tile borders.</dd>
 <dt><code>stitch</code></dt>
 <dd>This value indicates that the user agent will automatically adjust the x and y values of the base frequency such that the {{SVGElement("feTurbulence")}} node’s width and height (i.e., the width and height of the current subregion) contain an integral number of the tile width and height for the first octave.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-feturbulence-stitchtiles", "stitchTiles")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feTurbulenceStitchTilesAttribute", "stitchTiles")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feTurbulence.stitchTiles")}}</p>
